story player interface and logic

### Hierarchy

- Player

## Index

### Constructors

- constructor

### Methods

- backward
- forward
- pause
- render
- start
- stop

## Constructors

### constructor

- new Player(graph: ProvenanceGraph, controls: Element, options?: any): Player

- - Defined in player.ts:25

  #### Parameters

  - ##### graph: ProvenanceGraph

  - ##### controls: Element

  - ##### Default value options: any = {}

  #### Returns Player

## Methods

### backward

- backward(): PromiseLike<SlideNode>

- - Defined in player.ts:151

  jumps to the previous slide

  #### Returns PromiseLike<SlideNode>

### forward

- forward(): PromiseLike<SlideNode>

- - Defined in player.ts:135

  jumps to the next slide

  #### Returns PromiseLike<SlideNode>

### pause

- pause(): void

- - Defined in player.ts:115

  #### Returns void

### render

- render(story: SlideNode): PromiseLike<SlideNode>

- - Defined in player.ts:94

  #### Parameters

  - ##### story: SlideNode

  #### Returns PromiseLike<SlideNode>

### start

- start(): boolean

- - Defined in player.ts:81

  #### Returns boolean

### stop

- stop(): void

- - Defined in player.ts:108

  #### Returns void

Generated using TypeDoc